
Foreman - Bug #3163

FQDN/dashboard/help disappears after setup

09/27/2013 04:43 PM - Keith Bachman

Status: Closed   

Priority: Normal   

Assignee: Josh Baird   

Category: Web Interface   

Target version: 1.5.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The initial 'Welcome' page (with setup instructions) disappears after you have data come in.  (It is located at FQDN/dashboard/help )

This is warned by a small notice at the bottom:

'Notice This page will self destruct once data comes in.'

This page should be accessible (without having to know the path) after setup, as it has useful information.

With the current menu setup, I would suggest putting it in the 'More->About' page (located at FQDN/about ), probably under the

'Documentation' section - perhaps titled 'First Run Instructions' or 'Initial Setup Guide'.

It would also be a great candidate for the start a 'Help' menu (if one were to be created; which would probably be useful long-term).

Related issues:

Has duplicate Foreman - Bug #3852: Welcome page is no logner visible Duplicate 12/11/2013

Associated revisions

Revision cbc29459 - 03/06/2014 10:27 AM - Josh Baird

fixes #3163 - add link to first use instructions

History

#1 - 12/11/2013 12:22 PM - Dominic Cleal

- Has duplicate Bug #3852: Welcome page is no logner visible added

#2 - 02/28/2014 12:50 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Josh Baird

- Target version set to 1.9.1

https://github.com/theforeman/foreman/pull/1260

#3 - 03/03/2014 12:47 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#4 - 03/06/2014 10:28 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#5 - 03/06/2014 12:31 PM - Josh Baird

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cbc294593bd847e4e59f5240265e411002f17d0c.
